## org.eclipse.datatools.enablement.sybase.asa.baseloaders
Class SchemaASABaseLoader.ASABaseRoutineLoader.ASAProcedureFactory

    java.lang.Object
      org.eclipse.datatools.connectivity.sqm.loader.JDBCRoutineLoader.ProcedureFactory
          org.eclipse.datatools.enablement.sybase.asa.baseloaders.SchemaASABaseLoader.ASABaseRoutineLoader.ASAProcedureFactory

All Implemented Interfaces:
  JDBCRoutineLoader.IRoutineFactory

Enclosing class:
  SchemaASABaseLoader.ASABaseRoutineLoader

    public static class SchemaASABaseLoader.ASABaseRoutineLoader.ASAProcedureFactory

extends JDBCRoutineLoader.ProcedureFactory

Constructor Summary
`SchemaASABaseLoader.ASABaseRoutineLoader.ASAProcedureFactory()`

Method Summary
`Routine` `createRoutine(java.sql.ResultSet rs)` Creates and initializes a new Procedure object from the meta-data in the result set.
`void` `initialize(Routine routine, java.sql.ResultSet rs)` Initializes the new Routine object using the meta-data in the result set.

Methods inherited from class org.eclipse.datatools.connectivity.sqm.loader.JDBCRoutineLoader.ProcedureFactory
`getRoutineEClass`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SchemaASABaseLoader.ASABaseRoutineLoader.ASAProcedureFactory

    public SchemaASABaseLoader.ASABaseRoutineLoader.ASAProcedureFactory()

Method Detail

### createRoutine

    public Routine createRoutine(java.sql.ResultSet rs)
                          throws java.sql.SQLException

  Description copied from class: `JDBCRoutineLoader.ProcedureFactory`
  Creates and initializes a new Procedure object from the meta-data in the result set.

  Specified by:
    `createRoutine` in interface `JDBCRoutineLoader.IRoutineFactory`
  Overrides:
    `createRoutine` in class `JDBCRoutineLoader.ProcedureFactory`
  Parameters:
    `rs` - the result set
  Returns:
    a new, initialized Routine object.
  Throws:
    `java.sql.SQLException` - if anything goes wrong
  See Also:
    `JDBCRoutineLoader.IRoutineFactory.createRoutine(java.sql.ResultSet)`

### initialize

    public void initialize(Routine routine,
                           java.sql.ResultSet rs)
                    throws java.sql.SQLException

  Description copied from class: `JDBCRoutineLoader.ProcedureFactory`
  Initializes the new Routine object using the meta-data in the result set. This method initializes the name and description of the procedure.

  Specified by:
    `initialize` in interface `JDBCRoutineLoader.IRoutineFactory`
  Overrides:
    `initialize` in class `JDBCRoutineLoader.ProcedureFactory`
  Parameters:
    `routine` - a new Routine object
    `rs` - the result set
  Throws:
    `java.sql.SQLException` - if anything goes wrong